javax.persistence.spi

## Interface PersistenceProviderResolver

All Known Implementing Classes:
  OSGiProviderResolver

    public interface PersistenceProviderResolver

Determine the list of persistence providers available in the runtime environment.

Implementations must be thread-safe.

Note that the `getPersistenceProviders` method can potentially be called many times: it is recommended that the implementation of this method make use of caching.

See Also:
  `PersistenceProvider`
Since:
  Java Persistence 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearCachedProviders()` Clear cache of providers.
`java.util.List<PersistenceProvider>` `getPersistenceProviders()` Returns a list of the `PersistenceProvider` implementations available in the runtime environment.

### Method Detail

#### getPersistenceProviders

    java.util.List<PersistenceProvider> getPersistenceProviders()

Returns a list of the `PersistenceProvider` implementations available in the runtime environment.

Returns:
  list of the persistence providers available in the environment

#### clearCachedProviders

    void clearCachedProviders()

Clear cache of providers.